RHEL 7 / 8:OpenShift Container Platform 4.8.2 程序包和 (RHSA-2021: 2437)

high Nessus 插件 ID 152103
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 Red Hat 主机缺少一个或多个安全更新。

描述

远程 Redhat Enterprise Linux 7 / 8 主机上安装的程序包受到 RHSA-2021: 2437 公告中提及的多个弱点影响。

- python-eventlet:不当处理高度压缩的数据并且内存分配过多导致 DoS (CVE-2021-21419)

- jenkins-2-plugins/matrix-auth:矩阵授权策略插件中的权限检查不正确 (CVE-2021-21623)

- jenkins:代理相关的 REST API 中缺少类型验证 (CVE-2021-21639)

- jenkins:视图名称验证绕过 (CVE-2021-21640)

- jenkins-2-plugins/credentials:Credentials 插件中的反射型 XSS 漏洞 (CVE-2021-21648)

- kubernetes:验证 Admission Webhook 时未遵守之前的某些字段 (CVE-2021-25735)

- kubernetes:EndpointSlice 验证中的漏洞可导致主机网络劫持 (CVE-2021-25737)

- golang:crypto/elliptic:P-224 曲线操作错误 (CVE-2021-3114)

- gogo/protobuf:plugin/unmarshal/unmarshal.go 缺少某些索引验证 (CVE-2021-3121)

- openshift:注入的 service-ca.crt 错误包含额外的内部 CA (CVE-2021-3636)

请注意,Nessus 尚未测试此问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

更新受影响的 openshift-clients、openshift-clients-redistributable 和/或 openshift-hyperkube 数据包。

另见

https://cwe.mitre.org/data/definitions/20.html

https://cwe.mitre.org/data/definitions/79.html

https://cwe.mitre.org/data/definitions/295.html

https://cwe.mitre.org/data/definitions/400.html

https://cwe.mitre.org/data/definitions/287.html

https://cwe.mitre.org/data/definitions/129.html

https://access.redhat.com/security/cve/CVE-2021-3114

https://access.redhat.com/security/cve/CVE-2021-3121

https://bugzilla.redhat.com/1921650

https://cwe.mitre.org/data/definitions/682.html

https://bugzilla.redhat.com/1918750

https://cwe.mitre.org/data/definitions/273.html

https://access.redhat.com/security/cve/CVE-2021-21639

https://access.redhat.com/security/cve/CVE-2021-21640

https://bugzilla.redhat.com/1947102

https://bugzilla.redhat.com/1947105

https://access.redhat.com/security/cve/CVE-2021-3636

https://access.redhat.com/security/cve/CVE-2021-21419

https://access.redhat.com/security/cve/CVE-2021-21623

https://access.redhat.com/security/cve/CVE-2021-21648

https://access.redhat.com/security/cve/CVE-2021-25735

https://access.redhat.com/security/cve/CVE-2021-25737

https://access.redhat.com/errata/RHSA-2021:2437

https://bugzilla.redhat.com/1937562

https://bugzilla.redhat.com/1940489

https://bugzilla.redhat.com/1954917

https://bugzilla.redhat.com/1958407

https://bugzilla.redhat.com/1959545

https://bugzilla.redhat.com/1978621

插件详情

严重性: High

ID: 152103

文件名: redhat-RHSA-2021-2437.nasl

版本: 1.3

类型: local

代理: unix

发布时间: 2021/7/27

最近更新时间: 2021/10/7

依存关系: ssh_get_info.nasl, redhat_repos.nasl

风险信息

CVSS 分数来源: CVE-2021-3121

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: High

基本分数: 7.5

时间分数: 5.5

矢量: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

时间矢量: CVSS2#E:U/RL:OF/RC:C

CVSS v3

风险因素: High

基本分数: 8.6

时间分数: 7.5

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H

时间矢量: CVSS:3.0/E:U/RL:O/RC:C

漏洞信息

CPE: cpe:2.3:o:redhat:enterprise_linux:7:*:*:*:*:*:*:*, cpe:2.3:o:redhat:enterprise_linux:8:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:openshift-clients:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:openshift-hyperkube:*:*:*:*:*:*:*, p-cpe:2.3:a:redhat:enterprise_linux:openshift-clients-redistributable:*:*:*:*:*:*:*

必需的 KB 项: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

易利用性: No known exploits are available

补丁发布日期: 2021/7/27

漏洞发布日期: 2021/1/11

参考资料信息

CVE: CVE-2021-3121, CVE-2021-3114, CVE-2021-21623, CVE-2021-21640, CVE-2021-21639, CVE-2021-25735, CVE-2021-21419, CVE-2021-21648, CVE-2021-25737, CVE-2021-3636

CWE: 20, 79, 287, 295, 400, 129, 682, 273

RHSA: 2021:2437